Name:           scim-array
Version:        0.0.2
Release:        0%{?dist}
Summary:        SCIM Array 30 Input Method Engine

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://scimarray.openfoundry.org/
Source0:        http://rt.openfoundry.org/Foundry/Project/Download/Attachment/91145/62648/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  scim-devel, gettext 
Requires:       scim

%description
SCIM Array 30 Input Method Engine provides with all the functions of Array 30,
including 1st and 2nd level short codes, special codes, and symbol input.



%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f ${RPM_BUILD_ROOT}%{_libdir}/scim-1.0/1.4.0/IMEngine/array.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/scim-1.0/1.4.0/SetupUI/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/scim-1.0/1.4.0/IMEngine/array.so
%{_libdir}/scim-1.0/1.4.0/SetupUI/array-imengine-setup.so
%{_datadir}/scim/Array
%{_datadir}/scim/icons/scim-array.png


%changelog
* Wed Aug 29 2007 Ding-Yi Chen <dchen@redhat.com> - 0.0.2-0
- Update to 0.0.2
* Fri Aug 17 2007 Ding-Yi Chen <dchen@redhat.com> - 0.0.1-4
- Remove tags in the changelog section
* Fri Aug 17 2007 Ding-Yi Chen <dchen@redhat.com> - 0.0.1-3
- Remove following files in file section
  scim/Array/array-shortcode.cin
  scim/Array/array-special.cin
  scim/Array/array30.cin
* Fri Aug 17 2007 Ding-Yi Chen <dchen@redhat.com> - 0.0.1-2
- Add scim/Array in file section.
* Fri Aug 17 2007 Ding-Yi Chen <dchen@redhat.com> - 0.0.1-1
- Update spec file according to Bugzilla (#253805).
* Fri Aug 17 2007 Ding-Yi Chen <dchen@redhat.com> - 0.0.1-0
- initial packaging

